/**
* @license Apache-2.0
*
* Copyright (c) 2018 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* Compute a range incrementally.
*
* @module @stdlib/stats/incr/range
*
* @example
* var incrrange = require( '@stdlib/stats/incr/range' );
*
* var accumulator = incrrange();
*
* var range = accumulator();
* // returns null
*
* range = accumulator( 3.14 );
* // returns 0.0
*
* range = accumulator( -5.0 );
* // returns 8.14
*
* range = accumulator( 10.1 );
* // returns 15.1
*
* range = accumulator();
* // returns 15.1
*/

// MODULES //

var main = require( './main.js' );


// EXPORTS //

module.exports = main;
